#include <SFML/System.hpp>
#include <SFML/Graphics.hpp>
#include <SFML/Window.hpp>
#include <spdlog/spdlog.h>


int main(int argc, char** const argv){
	spdlog::info("Hello, World!");
	sf::RenderWindow window(sf::VideoMode(800, 600), "mp");
	sf::Texture texture;
	sf::Sprite sprite;
	bool running = true;

	while(running){
		sf::Event event;
		while(window.pollEvent(event)){
			if(event.type == sf::Event::Closed){
				running = false;
			}
			if(event.type == sf::Event::KeyPressed){
				if(event.key.code == sf::Keyboard::Escape){
					running = false;
				}
			}
		}
		window.clear();
		window.display();
	}
	return 0;
}
